<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Frame](./puppeteer.frame.md) &gt; [$x](./puppeteer.frame._x.md)

## Frame.$x() method

<b>Signature:</b>

```typescript
$x(expression: string): Promise<ElementHandle[]>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  expression | string |  |

<b>Returns:</b>

Promise&lt;[ElementHandle](./puppeteer.elementhandle.md)<!-- -->\[\]&gt;

